Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Azure Certificates Management APIs

Viewing Details of Synchronization Jobs

search

Please Note:

Viewing Details of Synchronization Jobs

Use the get /v1/cckm/azure/certificates/synchronization-jobs/{id} API to view the details of a synchronization job with the given id.

Syntax

curl -k '<IP>/api/v1/cckm/azure/certificates/synchronization-jobs/{id}' -H 'Authorization: Bearer AUTHTOKEN' -H 'accept: application/json' --compressed

Here, {id} is the ID of the synchronization job.

Request Parameters

ParameterTypeDescription
AUTHTOKENstringAuthentication token.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/azure/certificates/synchronization-jobs/1f413972-499e-498c-9543-77c2da7d71e4' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiIxYzU1ZWY0Yi01MThjLTQ5ZmMtODRmMy1mYjk4MGY4YTQ3ODQiLCJzdWIiOiJsb2NhbHwyZjBmZWViNC02MjkwLTQ4ZWQtYmU1Yy0wYmU4NTVkMzE4NzMiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiODU3ZDEyYjItNjljZi00OWY1LThkYjktMjI0NWMwODNiODg5Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6Ijg1NTRhOWJhLTE1OTgtNDE0OC04YWMwLWYwZWJkNjJlMThmOSIsImlhdCI6MTY0Mzg2MzI1MywiZXhwIjoxNjQzODYzNTUzfQ.F6D3QgJLvFY0UyltBn6TfmiET-kExTl7RcvsmYzg550' -H 'accept: application/json' --compressed

Example Response

{
    "id": "1f413972-499e-498c-9543-77c2da7d71e4",
    "uri": "kylo:kylo:cckm:synchronize:1f413972-499e-498c-9543-77c2da7d71e4",
    "account": "kylo:kylo:admin:accounts:kylo",
    "application": "ncryptify:gemalto:admin:apps:kylo",
    "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt": "2022-05-12T07:00:52.032722Z",
    "updatedAt": "2022-05-12T07:01:17.698896Z",
    "completed_at": "2022-05-12T07:01:17.698624Z",
    "overall_status": "failed",
    "detailed_status": {
        "northcentralus/CCKM-Soft-Delete::260ecbe7-777b-4d3c-84ea-887620498863": "vault synchronized successfully",
        "northcentralus/pkv-softkeys::260ecbe7-777b-4d3c-84ea-887620498863": "vault synchronized successfully"
    },
    "cloud": "AzureCloud",
    "key_vaults": [
        "pkv-softkeys::260ecbe7-777b-4d3c-84ea-887620498863",
        "CCKM-Soft-Delete::260ecbe7-777b-4d3c-84ea-887620498863"
    ],
    "abort": false,
    "sync_item": "azure-certificate"
}

Response Codes

Response CodeDescription
2xxSuccess
4xxClient errors
5xxServer errors

Refer to HTTP status codes for details.